Create Order Documents PDF or CSV

Creates a new order document for an Estimate.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Creating a new order document for an Estimate successfully immediately returns with 202 Accepted while PDF/CSV generate asynchronously. Poll Show Order Document with the returned ID until complete.


Example Response

{
  "id": "fb4c81ff-806e-4092-926f-3db1159497db",
  "estimateId": 704341,
  "orgId": 130582,
  "jobId": 9903472,
  "createdAt": "2026-07-14T16:00:00Z",
  "state": "pending",
  "pdfLink": null,
  "csvLink": null,
  "lineItemType": "MATERIAL",
  "showItemCostDetails": false,
  "showTotalCost": false,
  "showListItemNotes": true,
  "showItemMeasurements": true,
  "notes": "Ship to back door",
  "purchaseOrderNumber": null
}
Path Params
integer
required

Estimate ID also known as the project_management_production_list_id.

Query Params
string
Defaults to MATERIAL

MATERIAL or LABOR depending on what Order doc you want back

boolean
Defaults to true

Include list item notes (UI default)

boolean
Defaults to true

Include measurements (UI default)

boolean
Defaults to false

Include item cost details. If the caller cannot view unit costs, this is forced to false and the document is still created

boolean
Defaults to false

Include total cost

string

Free-text notes on the document

string

Purchase order number on the document

list_Item_Ids
array of strings

Limit to specific list item ids

list_Item_Ids
Response
200
Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here!